[Libwebsockets] websocket server in Solaris

Cristina Pedroviejo cpedroviejo at logytel.es
Tue Mar 9 10:25:48 CET 2021


Hi Andy.
Thank you very much for your help. The first thing I want to indicate is that I have little knowledge of what I am doing.
The server is a solaris Sparc, not an X86. this is the error sequence when trying to install the cmake.
I have never worked with cmake.

root at superman:~# pkg install cmake
Creando plan (Configuración de optimizador): / pkg install: No se puede instalar ninguna versión de developer/build/cmake que c  oincida:
   Rechazar: 
pkg://solaris/developer/build/cmake@2.8.6,5.11-0.175.3.0.0.30.0:201
50821T163516Z
pkg://solaris/developer/build/cmake@3.9.1,5.11-11.4.0.0.1.14.0:2018
0814T160959Z
   Motivo:  Versión excluida por la incorporación instalada pkg://solaris/consoli
dation/userland/userland-incorporation at 0.5.11,5.11-0.175.2.0.0.42.1:20140623T010
405Z
root at superman:~#
root at superman:~# pkg list -afv cmake
FMRI IFO
pkg://solaris/developer/build/cmake@3.9.1,5.11-11.4.0.0.1.14.0:20180814T160959Z
---
pkg://solaris/developer/build/cmake@2.8.6,5.11-0.175.3.0.0.30.0:20150821T163516Z
---
root at superman:~#  pkg list -a cmake
pkg list: no hay paquetes que coincidan con 'cmake' permitidos por las incorpora  ciones instaladas ni por las variantes de imagen conocidas o instaladas Use -af to allow all versions.
root at superman:~#

Greetings

-----Mensaje original-----
De: Andy Green <andy at warmcat.com> 
Enviado el: lunes, 8 de marzo de 2021 23:07
Para: Cristina Pedroviejo <cpedroviejo at logytel.es>; libwebsockets at ml.libwebsockets.org
Asunto: Re: [Libwebsockets] websocket server in Solaris



On 3/8/21 7:29 AM, Andy Green wrote:
> 
> 
> On 3/8/21 6:09 AM, Cristina Pedroviejo wrote:
>> Hello
>>
>> I would like to make a websocket server, and I wanted to use the 
>> libwebsockets library. The downloaded one for a UNIX machine with 
>> solaris. When compiling it, it asks me for .h files that I can't find.
>> How can I compile the library?
> 
> Can you cut and paste the error you got, and the output from cmake?
> 
> "I get an error" is no doubt frustrating for you, but as the start for 
> me of trying to understand what happened, it's not that useful by itself.

Well, I added Solaris 11 as a supported platform in Sai, and fixed the few build warnings I found.  So current main branch should just work.  Eg,

https://libwebsockets.org/sai/index.html?task=dd2f8a3b582f14d30559d8c1f596cd3b2b1991620867b9129decc2fee3ba6d58

-Andy



Antes de imprimir este mensaje considere su responsabilidad con el medio ambiente.

Este e-mail y cualquiera de sus ficheros anexos son confidenciales y pueden incluir información  privilegiada. Si usted no es el destinatario adecuado o responsable, debe remitirlo a la persona indicada, agradeceríamos lo notificase/reenviase inmediatamente al emisor. No revele estos contenidos a ninguna otra persona, no los utilice para otra finalidad, ni almacene y/o copie esta información en medio alguno. Opiniones, conclusiones y otro tipo de información relacionada con  este mensaje que no sean relativas a la actividad propia de LOGÍSTICA Y TELECOMUNICACIÓN, S.L, deberán ser entendidas exclusivas del emisor.
 
Logística y Telecomunicación, S.L
Tf: 91-8871260
Fax: 91-8831011
Avd. Punto Es, 4 
Alcalá de Henares (Madrid) 28805
http://logytel.es/




More information about the Libwebsockets mailing list